Xalan-Java: Class XSLTInputSource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class XSLTInputSource

    java.lang.Object
      |
      +--org.xml.sax.InputSource
            |
            +--org.apache.xalan.xslt.XSLTInputSource

Direct Known Subclasses:
  StylesheetSpec

public class XSLTInputSource
extends org.xml.sax.InputSource

Represents an XML source document or XSL stylesheet. Use XSLTInputSource objects to provide input to the XSLTProcessor process() method for a transformation. This class extends the SAX input source to handle DOM nodes as input as well as files, character streams, byte streams and SAX DocumentHandlers.

See Also:
  `XSLTProcessor.process(XSLTInputSource, XSLTInputSource, XSLTResultTarget)`

Constructor Summary
`XSLTInputSource()` Zero-argument default constructor -- Before you can use the new XSLTInputSource object in a transformation, you must define the document source with setSystemId(), setNode(), setByteStream(), or setCharacterStream().
`XSLTInputSource(org.xml.sax.InputSource isource)` Create a new XSLTInputSource source from a SAX input source.
`XSLTInputSource(java.io.InputStream byteStream)` Create a new input source with a byte stream -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's ByteStream property.
`XSLTInputSource(org.w3c.dom.Node node)` Create a new input source with a DOM Node -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's Node property.
`XSLTInputSource(java.io.Reader characterStream)` Create a new input source with a character stream -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's CharacterStream property.
`XSLTInputSource(java.lang.String systemId)` Create a new input source with a system identifier (for a URL or file name) -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's SystemId property.

Method Summary
`org.w3c.dom.Node` | `getNode()` Get the DOM Node for this input source.
`void` | `setNode(org.w3c.dom.Node node)` Set the DOM Node for this input source.

Methods inherited from class org.xml.sax.InputSource
`getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTInputSource

    public XSLTInputSource()

  Zero-argument default constructor -- Before you can use the new XSLTInputSource object in a transformation, you must define the document source with setSystemId(), setNode(), setByteStream(), or setCharacterStream().
  See Also:
    `InputSource.setSystemId(String)`, `setNode(Node)`, `InputSource.setByteStream(java.io.InputStream)`, `InputSource.setCharacterStream(java.io.Reader)`, `InputSource.setEncoding(String)`, `InputSource.setPublicId(String)`

### XSLTInputSource

    public XSLTInputSource(java.lang.String systemId)

  Create a new input source with a system identifier (for a URL or file name) -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's SystemId property. If the system identifier is a URL, it must be fully resolved.
  Parameters:
    `systemId` - The system identifier (URI).
  See Also:
    `InputSource.setSystemId(String)`, `setNode(Node)`, `InputSource.setByteStream(java.io.InputStream)`, `InputSource.setEncoding(String)`, `InputSource.setCharacterStream(java.io.Reader)`, `InputSource.setPublicId(String)`

### XSLTInputSource

    public XSLTInputSource(java.io.InputStream byteStream)

  Create a new input source with a byte stream -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's ByteStream property.
  Parameters:
    `byteStream` - The raw byte stream containing the document.
  See Also:
    `InputSource.setByteStream(java.io.InputStream)`, `InputSource.setSystemId(String)`, `setNode(Node)`, `InputSource.setEncoding(String)`, `InputSource.setCharacterStream(java.io.Reader)`, `InputSource.setPublicId(String)`

### XSLTInputSource

    public XSLTInputSource(java.io.Reader characterStream)

  Create a new input source with a character stream -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's CharacterStream property.

  The character stream shall not include a byte order mark.

  Parameters:
    `characterStream` - The character stream containing the document.
  See Also:
    `InputSource.setCharacterStream(java.io.Reader)`, `InputSource.setByteStream(java.io.InputStream)`, `InputSource.setSystemId(String)`, `setNode(Node)`, `InputSource.setEncoding(String)`, `InputSource.setPublicId(String)`

### XSLTInputSource

    public XSLTInputSource(org.w3c.dom.Node node)

  Create a new input source with a DOM Node -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's Node property.
  Parameters:
    `node` - The DOM Node containing the document.
  See Also:
    `setNode(Node)`, `InputSource.setCharacterStream(java.io.Reader)`, `InputSource.setByteStream(java.io.InputStream)`, `InputSource.setSystemId(String)`, `InputSource.setEncoding(String)`, `InputSource.setPublicId(String)`

### XSLTInputSource

    public XSLTInputSource(org.xml.sax.InputSource isource)

  Create a new XSLTInputSource source from a SAX input source. This operation sets the ByteStream, CharacterStream, SystemId, PublicID, and Encoding properties.
  Parameters:
    `isource` - The SAX input source.
  See Also:
    `InputSource.setCharacterStream(java.io.Reader)`, `InputSource.setByteStream(java.io.InputStream)`, `InputSource.setSystemId(String)`, `InputSource.setEncoding(String)`, `InputSource.setPublicId(String)`, `setNode(Node)`

Method Detail

### setNode

    public void setNode(org.w3c.dom.Node node)

  Set the DOM Node for this input source.
  Parameters:
    `characterStream` - The character stream containing the XML document or XSL stylesheet.
  See Also:
    `XSLTInputSource(Node)`, `InputSource.getCharacterStream()`, `Reader`

### getNode

    public org.w3c.dom.Node getNode()

  Get the DOM Node for this input source.
  Returns:
    The DOM node containing the document, or null if none was supplied.
  See Also:
    `XSLTInputSource(Node)`, `setNode(Node)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.